GNU bug report logs - #31971
meson-build-system uses 'patchelf' which fails on armhf-linux etc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Mark H Weaver <mhw@HIDDEN>; dated Mon, 25 Jun 2018 22:53:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'important' from 'normal' Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31971 <at> debbugs.gnu.org:


Received: (at 31971) by debbugs.gnu.org; 29 Jun 2018 18:59:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 29 14:59:04 2018
Received: from localhost ([127.0.0.1]:40095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYybo-00015x-8I
	for submit <at> debbugs.gnu.org; Fri, 29 Jun 2018 14:59:04 -0400
Received: from world.peace.net ([64.112.178.59]:50310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>)
 id 1fYybn-000150-5i; Fri, 29 Jun 2018 14:59:03 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fYybh-000637-60; Fri, 29 Jun 2018 14:58:57 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: 31971 <at> debbugs.gnu.org
Subject: Re: bug#31971: meson-build-system uses 'patchelf' which fails on
 armhf-linux etc
References: <871scu5vle.fsf@HIDDEN>
Date: Fri, 29 Jun 2018 14:57:53 -0400
In-Reply-To: <871scu5vle.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 25
 Jun 2018 18:50:53 -0400")
Message-ID: <87wouhwhce.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31971
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

severity 31971 important
thanks

Mark H Weaver <mhw@HIDDEN> writes:
> Given that 'meson-build-system' is seeing increased usage in some
> important packages, e.g. 'libinput' and several GNOME packages, this is
> becoming an increasingly serious problem for non-Intel platforms.

A bigger problem is 'json-glib', which uses 'meson-build-system' and
which is an input for 'gtk+'.  So, on our 'staging' branch, armhf-linux
has lost everything that depends on gtk+, including 'emacs', all of
'xfce' and 'gnome', etc.

  https://hydra.gnu.org/eval/110025?compare=110019

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#31971; Package guix. Full text available.

Message received at 31971 <at> debbugs.gnu.org:


Received: (at 31971) by debbugs.gnu.org; 27 Jun 2018 20:13:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 16:13:06 2018
Received: from localhost ([127.0.0.1]:37891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYGoJ-0008KV-7W
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2018 16:13:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fYGoH-0008K0-Ku
 for 31971 <at> debbugs.gnu.org; Wed, 27 Jun 2018 16:13:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fYGoB-0003Fk-Bj
 for 31971 <at> debbugs.gnu.org; Wed, 27 Jun 2018 16:12:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54512)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fYGoA-0003FH-Vu; Wed, 27 Jun 2018 16:12:55 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=44586 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fYGoA-0006Jk-JB; Wed, 27 Jun 2018 16:12:54 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#31971: meson-build-system uses 'patchelf' which fails on
 armhf-linux etc
References: <871scu5vle.fsf@HIDDEN> <87bmbyzbiu.fsf@HIDDEN>
 <877eml9arq.fsf@HIDDEN> <874lhpzxma.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 Messidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 27 Jun 2018 22:12:53 +0200
In-Reply-To: <874lhpzxma.fsf@HIDDEN> (Marius Bakke's message of "Tue, 26
 Jun 2018 11:49:01 +0200")
Message-ID: <87fu18xa2i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31971
Cc: Mark H Weaver <mhw@HIDDEN>, 31971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

Marius Bakke <mbakke@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:

[...]

>> I believe you're mistaken.  Those commits eliminated one of the uses of
>> 'patchelf' in meson-build-system, but there still remains a call to
>> 'augment-rpath' which uses patchelf, and patchelf is still added as an
>> implicit input.

Yeah, the reason is that implementing =E2=80=98augment-rpath=E2=80=99 is ob=
viously
harder than implementing =E2=80=98shrink-rpath=E2=80=99 (the result might n=
ot fit.)

> Since I'm here, I'd like to point out that there has been some activity
> upstream recently around RPATH handling:
>
> https://github.com/mesonbuild/meson/commit/e3757e3d3cf24327c89dd3fc40f6cc=
933510f676
>
> I believe this commit eliminates the need for "shrink-rpath", and
> facilities are planned to also control the installed RUNPATH.

I don=E2=80=99t fully understand what this commit does, but it seems to be a
step in the right direction.

The =E2=80=9CXXX=E2=80=9D found in the RUNPATH of Epiphany
(<https://bugs.gnu.org/31970>) also seem to be there as a way to allow
RUNPATH to be adjusted upon install, meaning that we wouldn=E2=80=99t have
anything to do on our side.

In the meantime, I wonder if we can remove the patchelf dependency
selectively for packages where the patchelf phase isn=E2=80=99t necessary.
Epiphany may well fall into that category.

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31971; Package guix. Full text available.

Message received at 31971 <at> debbugs.gnu.org:


Received: (at 31971) by debbugs.gnu.org; 26 Jun 2018 09:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 05:49:05 2018
Received: from localhost ([127.0.0.1]:35643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXkau-0008Ei-Tw
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 05:49:05 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:40227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1fXkat-0008Eb-Pj
 for 31971 <at> debbugs.gnu.org; Tue, 26 Jun 2018 05:49:04 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 63AD221EDA;
 Tue, 26 Jun 2018 05:49:03 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Tue, 26 Jun 2018 05:49:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=YzYH3iUWsm8QxDN5VJDLMPFA6s7IeLY/+grl0eHgC9I=; b=P5gR52kA
 734idCwxqgvBRHZYNpaRAJAxrnQEjOSS3sCybPA4R4ZrpxWPWe9zHu+CAFgojVXF
 yOcbFRGW6xgaGL9MS1ZvFq7ZyStNOo1KeWHZ7eN5FWDeM104QAHglj7aZ1iQWhOh
 g1/CiHqq9GHoVb97OzxrLmkVSP03L1M549BjjxJcjKbO9UcI7/u45sF1GpHOR1W0
 LGjSb9RAYHq/1uYR6jOZiHVwbaA+JMT+h08LtwMiAVpgNyrqESUAWOYm89fymmUq
 ff+LiuyAmrBa30MTi/L6BjxWNyr5Wt5N+nyj0WITlvDcz71WdrIylJShmx1uHwBk
 2uANWbvMwUP4Sg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=YzYH3iUWsm8QxDN5VJDLMPFA6s7Ie
 LY/+grl0eHgC9I=; b=J0Dwx/g0Vle8cmbxfEhErE+NWcmxFJadl+yYTfEzM+P2T
 avG3MDTTsI79IdAJYVMCTssMzo4XdJSVGwSgIbtuA776PxnWXKwNiqQEDbF1uKyy
 Mt7sKPwLdXCTtBKWiuYTX+QgQ2usaf9uND9SfPUi83XAK7siuohmN/oMFZMGP5dt
 pxieHV7S2wR+C5RgnX+bHhBr5m1GzIVz/H21DsyyKAtRwUQXr61rsnOQgk9Q2KXv
 bnTmfwtozq+bEw8onO+5Ftp+j91DE/asE5ews1i49UMh09Qwoqr3FJ8QJgGfEPqB
 rgUwFx7wwtnruV0iuAnXUn8ljm1Ae5faihev8xv8A==
X-ME-Proxy: <xmx:DwwyW7diRZMCil2-zJsRlOLgT1qUqhvIiHI9xyNV_N0v4cSTSn-U3g>
 <xmx:DwwyW4pLQxqtCo6agrQbMTCbDnqTwWZZDpTcTc0PdDiE39pErmWQFw>
 <xmx:DwwyW6Dlha4zN28aXzWepDQKUMNqXuTkE2pg4Xty9O9R4GU9v8zuiA>
 <xmx:DwwyWwo3fqocEcbIN0NPcZ2MGRM1FQqZABYPAjr_tQUyPy7GkMlwQQ>
 <xmx:DwwyW7oa-od15aXgsqhNxA_wvXKW2wGDSC5wUwX5QUfYAuqq0u2v-g>
 <xmx:DwwyW1liPIwRWGccyLAaCitmPQug36jsF-cBzFhzeG0-oGyUa-cHtw>
X-ME-Sender: <xms:DwwyW1tqNb9sf0scixHVSH9RaMlLPvhn8373EMnBTTUIFA4P0QwsSA>
Received: from localhost (cm-84.214.174.185.getinternet.no [84.214.174.185])
 by mail.messagingengine.com (Postfix) with ESMTPA id F1ED510293;
 Tue, 26 Jun 2018 05:49:02 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#31971: meson-build-system uses 'patchelf' which fails on
 armhf-linux etc
In-Reply-To: <877eml9arq.fsf@HIDDEN>
References: <871scu5vle.fsf@HIDDEN> <87bmbyzbiu.fsf@HIDDEN>
 <877eml9arq.fsf@HIDDEN>
User-Agent: Notmuch/0.27 (https://notmuchmail.org) Emacs/26.1
 (x86_64-pc-linux-gnu)
Date: Tue, 26 Jun 2018 11:49:01 +0200
Message-ID: <874lhpzxma.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31971
Cc: 31971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mark H Weaver <mhw@HIDDEN> writes:

> Hi Marius,
>
> Marius Bakke <mbakke@HIDDEN> writes:
>
>> Mark H Weaver <mhw@HIDDEN> writes:
>>
>>> 'meson-build-system' includes 'patchelf' as an implicit input for all
>>> packages that use it, and uses it from its 'fix-runpath' phase,
>>> sometimes directly and sometimes via (guix build rpath).
>>>
>>> 'patchelf' is a nasty hack which seems to only work on Intel-based
>>> systems.  It certainly doesn't work on 'mips64el-linux', and when I last
>>> investigated it seemed hard to fix this.  As far as I can tell, it has
>>> never built successfully on 'armhf-linux' either:
>>>
>>>   https://hydra.gnu.org/job/gnu/master/patchelf-0.8.armhf-linux/all
>>>
>>> I don't know about 'aarch64-linux'.
>>>
>>> Given that 'meson-build-system' is seeing increased usage in some
>>> important packages, e.g. 'libinput' and several GNOME packages, this is
>>> becoming an increasingly serious problem for non-Intel platforms.
>>
>> Note that this is already fixed on 'core-updates', with commits
>> 3cc9a8a13..800564020.  See <https://bugs.gnu.org/31208>.
>
> I believe you're mistaken.  Those commits eliminated one of the uses of
> 'patchelf' in meson-build-system, but there still remains a call to
> 'augment-rpath' which uses patchelf, and patchelf is still added as an
> implicit input.

Ah yes, you are right.  Apoligies for the noise.

Since I'm here, I'd like to point out that there has been some activity
upstream recently around RPATH handling:

https://github.com/mesonbuild/meson/commit/e3757e3d3cf24327c89dd3fc40f6cc933510f676

I believe this commit eliminates the need for "shrink-rpath", and
facilities are planned to also control the installed RUNPATH.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlsyDA0ACgkQoqBt8qM6
VPog0Af+JsSYD/oyB81y46t84YkDMXx1hRmUmmgLOxbbnvR8yT9gw8VxKOVlbdSq
XMhWq+SHIQTE+agK2GinuWGwPtUZWgPc8k7YhImAzulFrI3Rw70kDmjtTCKg+avx
ykZ7rkR1YD/UGQge0yM0bdJy0yO0AN2h6XSawnjmsRNhdauedooLUTpzQCq51KiX
Tg5z1s9HhbH/ZD0JUdEw2UA9NeW6HOM6xYgjlplHgl/VwbacmsENuHc81QFQfmya
XHw2ir6PHM25Sc5o0W3ofXjqQcwZHpN4+PSmHDWUs/0w1cpG3KQzLQGaRL/yVKJz
fwyPbwyfGKbqcfYLYUbV38Ix0HNkAw==
=j8bJ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#31971; Package guix. Full text available.

Message received at 31971 <at> debbugs.gnu.org:


Received: (at 31971) by debbugs.gnu.org; 26 Jun 2018 09:08:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 05:08:28 2018
Received: from localhost ([127.0.0.1]:35613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXjxc-0007IZ-5C
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 05:08:28 -0400
Received: from world.peace.net ([64.112.178.59]:56850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fXjxb-0007IL-DQ
 for 31971 <at> debbugs.gnu.org; Tue, 26 Jun 2018 05:08:27 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fXjxV-0003FI-Fi; Tue, 26 Jun 2018 05:08:21 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#31971: meson-build-system uses 'patchelf' which fails on
 armhf-linux etc
References: <871scu5vle.fsf@HIDDEN> <87bmbyzbiu.fsf@HIDDEN>
Date: Tue, 26 Jun 2018 05:07:05 -0400
In-Reply-To: <87bmbyzbiu.fsf@HIDDEN> (Marius Bakke's message of "Tue, 26
 Jun 2018 01:34:01 +0200")
Message-ID: <877eml9arq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31971
Cc: 31971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Marius,

Marius Bakke <mbakke@HIDDEN> writes:

> Mark H Weaver <mhw@HIDDEN> writes:
>
>> 'meson-build-system' includes 'patchelf' as an implicit input for all
>> packages that use it, and uses it from its 'fix-runpath' phase,
>> sometimes directly and sometimes via (guix build rpath).
>>
>> 'patchelf' is a nasty hack which seems to only work on Intel-based
>> systems.  It certainly doesn't work on 'mips64el-linux', and when I last
>> investigated it seemed hard to fix this.  As far as I can tell, it has
>> never built successfully on 'armhf-linux' either:
>>
>>   https://hydra.gnu.org/job/gnu/master/patchelf-0.8.armhf-linux/all
>>
>> I don't know about 'aarch64-linux'.
>>
>> Given that 'meson-build-system' is seeing increased usage in some
>> important packages, e.g. 'libinput' and several GNOME packages, this is
>> becoming an increasingly serious problem for non-Intel platforms.
>
> Note that this is already fixed on 'core-updates', with commits
> 3cc9a8a13..800564020.  See <https://bugs.gnu.org/31208>.

I believe you're mistaken.  Those commits eliminated one of the uses of
'patchelf' in meson-build-system, but there still remains a call to
'augment-rpath' which uses patchelf, and patchelf is still added as an
implicit input.

     Thanks,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#31971; Package guix. Full text available.

Message received at 31971 <at> debbugs.gnu.org:


Received: (at 31971) by debbugs.gnu.org; 25 Jun 2018 23:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 25 19:34:05 2018
Received: from localhost ([127.0.0.1]:35447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXazl-0004eL-G5
	for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 19:34:05 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:35941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1fXazj-0004eC-HL
 for 31971 <at> debbugs.gnu.org; Mon, 25 Jun 2018 19:34:03 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 35D0D21CDD;
 Mon, 25 Jun 2018 19:34:03 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 25 Jun 2018 19:34:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=gpvWdFHuSzmLWIi8EfP/a6u+Azx6miQInt7qfm3mU6I=; b=R9dDgM70
 smf8iKivIk3i5njJj/WpXONDe3hM6XuFU/BvlUBHPfPwVpAj0c6IEyTWA0wXi/Be
 lSlS/4JWTHPHKWIveei6y+A4fwxHg+pjIhiOAlzkCtjCXa6BrdNThL3GnjOhDozq
 MkOUi0ISfZ/lSwlRizrrsXDBMVjfO1OAOC0wAl4Pq9NO7QofSw0BxK+14d///BI2
 bO0kQF3Ot94KWoRnYTTKcWB0mMl+QnPrC+sYgsyOTHYYbWmTbgS8h2KjYHwclPKm
 B1FJwvErzSLjtIttoSvwiQRNzbbVK2VYf+qh5AN8k92ffovu0ptHh6CGD4YQYK9S
 5rUhcc1Ionc/Wg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=gpvWdFHuSzmLWIi8EfP/a6u+Azx6m
 iQInt7qfm3mU6I=; b=pvqbEsrS1XYCKCO7WQWflttQO3O6CL74qJ1eM1NgwkmUa
 Sr1O4CMzRHQSjYbK8HPvHsYFxMxtX6KGNORWijKpFPLemxS61RCHrXA/lXkZKqtC
 LbByCGaDbrAPGI4Mh4MscdXLePDpzExb2dcqKE7fAMS764YUsOJCQE2TOjfHiJN6
 EYrceAtRTJJKTo9VH1iKrdwjIAPQddho5etB3iCbqHBqydg9654kfUz9L/raFPib
 LEUWD0Aek4gymgKHt6C7UscM9Q+lInzeqydG+DdOl9Qb+j/LFw49lWmlZdxxzsnH
 JcHWyTlh5rXV9AOimYIWYuwyV5Gw8VYWz9myEANDg==
X-ME-Proxy: <xmx:63sxW9tuh0AchuIDL3glPVzSyOwJx8Pe2an5wbXjVNbi7oLoRgOeMw>
 <xmx:63sxW_Vmig6FO1-Dt2RGiwr0eG8c5ASdFtoX_Fk6-nZekTN_aOILBA>
 <xmx:63sxW_uklqUPaDUlYtzDIwIHRo71Kkp8wF9KMQYAa-iqQNnvyIhXzA>
 <xmx:63sxW-R0Fs-nAJKd8YgEBTyuHe8vI88oQkzhb0FfDenqIAjKP3hC6Q>
 <xmx:63sxWwmdVs8i4mUwMfwjeSaxPotHARoAx9KditUSgmW8tjJNl8JHwg>
 <xmx:63sxW8ppGHlEF_vPoMxE7rh_y_Zvqj2H10DTBx5s5y8sJ235FSCP1A>
X-ME-Sender: <xms:63sxW9Rh2Py3N_DaPskOAQjVJBxeQLHWcEnl9S4VttMuS67tGhtZBQ>
Received: from localhost (cm-84.214.174.185.getinternet.no [84.214.174.185])
 by mail.messagingengine.com (Postfix) with ESMTPA id AE9A01025D;
 Mon, 25 Jun 2018 19:34:02 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>, 31971 <at> debbugs.gnu.org
Subject: Re: bug#31971: meson-build-system uses 'patchelf' which fails on
 armhf-linux etc
In-Reply-To: <871scu5vle.fsf@HIDDEN>
References: <871scu5vle.fsf@HIDDEN>
User-Agent: Notmuch/0.27 (https://notmuchmail.org) Emacs/26.1
 (x86_64-pc-linux-gnu)
Date: Tue, 26 Jun 2018 01:34:01 +0200
Message-ID: <87bmbyzbiu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31971
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mark H Weaver <mhw@HIDDEN> writes:

> 'meson-build-system' includes 'patchelf' as an implicit input for all
> packages that use it, and uses it from its 'fix-runpath' phase,
> sometimes directly and sometimes via (guix build rpath).
>
> 'patchelf' is a nasty hack which seems to only work on Intel-based
> systems.  It certainly doesn't work on 'mips64el-linux', and when I last
> investigated it seemed hard to fix this.  As far as I can tell, it has
> never built successfully on 'armhf-linux' either:
>
>   https://hydra.gnu.org/job/gnu/master/patchelf-0.8.armhf-linux/all
>
> I don't know about 'aarch64-linux'.
>
> Given that 'meson-build-system' is seeing increased usage in some
> important packages, e.g. 'libinput' and several GNOME packages, this is
> becoming an increasingly serious problem for non-Intel platforms.

Note that this is already fixed on 'core-updates', with commits
3cc9a8a13..800564020.  See <https://bugs.gnu.org/31208>.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlsxe+kACgkQoqBt8qM6
VPqwFwf/fZ0OuUymatmklxMfMXe1syKREEzNduf8PVDjDlWocws/XWlkq1ZXqtGJ
5iTHY2ECg1jHLdYRbzlFdFSup8ofvG4yDu7XunQhAMc8hg1PcqhwN+6CCB55ihVC
IsCRRwCg79MZNbNlJqBTekQ6OawWyhLa/A23T31BRzM9M7Vo29SQZOLd6U3P/TKJ
ZsG4Yfw/zQHb9y/PMmeKlXZNzyK+oYLdI2vrncNNncEbVJyIKmckK5Ll61eKkWpk
rz/iXqtjWMcYnh5pZ6YWOjaH+uy3SEwt1dwycM3ecbtXJ7k36DjhJr93aLunIruv
zIH6OGPX8ZwmqG+M08Qi/eGlFDTJEg==
=41/7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#31971; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jun 2018 22:52:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 25 18:52:22 2018
Received: from localhost ([127.0.0.1]:35402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXaLO-0001eY-La
	for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 18:52:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fXaLN-0001eL-4J
 for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 18:52:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1fXaLH-0002q4-23
 for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 18:52:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37033)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1fXaLG-0002po-Ut
 for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 18:52:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60727)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1fXaLE-0001Wt-US
 for bug-guix@HIDDEN; Mon, 25 Jun 2018 18:52:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1fXaLB-0002m3-TU
 for bug-guix@HIDDEN; Mon, 25 Jun 2018 18:52:13 -0400
Received: from world.peace.net ([64.112.178.59]:41584)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1fXaLB-0002le-Ot
 for bug-guix@HIDDEN; Mon, 25 Jun 2018 18:52:09 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fXaLA-0000OC-Jf; Mon, 25 Jun 2018 18:52:08 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: meson-build-system uses 'patchelf' which fails on armhf-linux etc
User-Agent: Emacs/26.1 (x86_64-unknown-linux-gnu)
Date: Mon, 25 Jun 2018 18:50:53 -0400
Message-ID: <871scu5vle.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

'meson-build-system' includes 'patchelf' as an implicit input for all
packages that use it, and uses it from its 'fix-runpath' phase,
sometimes directly and sometimes via (guix build rpath).

'patchelf' is a nasty hack which seems to only work on Intel-based
systems.  It certainly doesn't work on 'mips64el-linux', and when I last
investigated it seemed hard to fix this.  As far as I can tell, it has
never built successfully on 'armhf-linux' either:

  https://hydra.gnu.org/job/gnu/master/patchelf-0.8.armhf-linux/all

I don't know about 'aarch64-linux'.

Given that 'meson-build-system' is seeing increased usage in some
important packages, e.g. 'libinput' and several GNOME packages, this is
becoming an increasingly serious problem for non-Intel platforms.

      Mark




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31971; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 29 Jun 2018 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.